Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)

From: zimoun <[email-masked]>
Date: Fri, 26 Nov 2021 02:12:36 +0100

Hi,

On Mon, 11 Jan 2021 at 22:01, Efraim Flashner <[email-masked]> wrote:
> On Mon, Jan 11, 2021 at 01:46:48PM +0100, zimoun wrote:
>> On Fri, 18 Dec 2020 at 16:31, Leo Famulari <[email-masked]> wrote:
>>
>> > I don't think this bug has been fixed, although I have not checked.
>> > Currently, Go incremental builds and library re-use is not functional in
>> > Guix, unless I missed a new development.
>>
>> Thanks.  Could you provide a Go example for reproducing?  Well, a
>> reproducer to track what could be wrong on the grafting mechanism for
>> Go.  If I understand correctly.
>>
>
> I actually spent a bit of time on this today/yesterday. I modified the
> go-build-system to copy the pkg and src folders from build to build
> (instead of just the src folders) and the pkg folders were ignored.
> Upstream documentation isn't clear about when the pkg folder is used and
> when it is ignored.
>
> One thing I did try was to set the pkgdir to (string-append (getenv
> "GOROOT") "/pkg"), but then it didn't find the pkg folder from go:out. I
> didn't try copying go:out/pkg to GOROOT/pkg to see if that would fix it;
> I assumed that even if it did work we wouldn't want to propagate all of
> go with the go packages.

What is the status of this old bug [1]?  It is marked ’moreinfo’ because
it misses a reproducer to be able to act on.  Therefore, I am going to
close it.

Cheers,
simon